For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pool Likes

Pool like management

Get pool likes count

get
/pools/{id}/likes

Returns the total number of likes for a pool

Path parameters
idstring · uuidRequired
Query parameters
addressstringOptional

Filter by user address (use "me" for current user)

Responses
200

Pool likes count

application/json
okbooleanOptional
dataintegerOptional
get/pools/{id}/likes
GET /v1/pools/{id}/likes HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
{
  "ok": true,
  "data": 1
}

Like a pool

put
/pools/{id}/likes

Adds a like to a pool

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired
Responses
200

Pool liked successfully

application/json
okbooleanOptional
dataintegerOptional

New total likes count

put/pools/{id}/likes
PUT /v1/pools/{id}/likes HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": 1
}

Unlike a pool

delete
/pools/{id}/likes

Removes a like from a pool

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired
Responses
200

Pool unliked successfully

application/json
okbooleanOptional
dataintegerOptional

New total likes count

delete/pools/{id}/likes
DELETE /v1/pools/{id}/likes HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": 1
}

Last updated